Assign a ticket to a team or rerun team assignment
PUT
/tickets/{id}/team
const url = 'https://api.muninx.com/tickets/example/team';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"team":"example","reassign":false}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.muninx.com/tickets/example/team \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "team": "example", "reassign": false }'Admin only. Use team none to clear the team without changing the assignee. A team with no eligible members leaves the ticket unassigned.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Request Body required
Section titled “Request Body required ” Media type application/json
object
team
required
string
reassign
boolean
Responses
Section titled “ Responses ”Updated ticket
Invalid team or reassignment
Admin access required or ticket closed
Ticket changed concurrently
Assignment service unavailable